Package groovy.lang

# Class Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable`, `Iterable`, `Collection`, `List`, `RandomAccess`

public final class Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9> extends Tuple
Represents a list of 9 typed Objects.

Since:
  2.5.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tuple9(Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9> tuple)`
  Creates a tuple from the supplied tuple.
  `Tuple9(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8, T9 v9)`
  Creates a tuple containing the supplied elements.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9>`
  `clone()`
  `T8`
  `getEighth()`
  Deprecated.
  `T5`
  `getFifth()`
  Deprecated.
  `T1`
  `getFirst()`
  Deprecated.
  `T4`
  `getFourth()`
  Deprecated.
  `T9`
  `getNinth()`
  Deprecated.
  `T2`
  `getSecond()`
  Deprecated.
  `T7`
  `getSeventh()`
  Deprecated.
  `T6`
  `getSixth()`
  Deprecated.
  `T3`
  `getThird()`
  Deprecated.
  `T1`
  `getV1()`
  Returns the first element.
  `T2`
  `getV2()`
  Returns the second element.
  `T3`
  `getV3()`
  Returns the third element.
  `T4`
  `getV4()`
  Returns the fourth element.
  `T5`
  `getV5()`
  Returns the fifth element.
  `T6`
  `getV6()`
  Returns the sixth element.
  `T7`
  `getV7()`
  Returns the seventh element.
  `T8`
  `getV8()`
  Returns the eighth element.
  `T9`
  `getV9()`
  Returns the ninth element.

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator`

- ## Constructor Details

  - ### Tuple9

    public Tuple9(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8, T9 v9)
    Creates a tuple containing the supplied elements.
    Parameters:
      `v1` - the first element
      `v2` - the second element
      `v3` - the third element
      `v4` - the fourth element
      `v5` - the fifth element
      `v6` - the sixth element
      `v7` - the seventh element
      `v8` - the eighth element
      `v9` - the ninth element

  - ### Tuple9

    public Tuple9(Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9> tuple)
    Creates a tuple from the supplied tuple.
    Parameters:
      `tuple` - the source tuple

- ## Method Details

  - ### getFirst

    @Deprecated public T1 getFirst()
    Deprecated.
    Returns the first element.
    Returns:
      the first element

  - ### getSecond

    @Deprecated public T2 getSecond()
    Deprecated.
    Returns the second element.
    Returns:
      the second element

  - ### getThird

    @Deprecated public T3 getThird()
    Deprecated.
    Returns the third element.
    Returns:
      the third element

  - ### getFourth

    @Deprecated public T4 getFourth()
    Deprecated.
    Returns the fourth element.
    Returns:
      the fourth element

  - ### getFifth

    @Deprecated public T5 getFifth()
    Deprecated.
    Returns the fifth element.
    Returns:
      the fifth element

  - ### getSixth

    @Deprecated public T6 getSixth()
    Deprecated.
    Returns the sixth element.
    Returns:
      the sixth element

  - ### getSeventh

    @Deprecated public T7 getSeventh()
    Deprecated.
    Returns the seventh element.
    Returns:
      the seventh element

  - ### getEighth

    @Deprecated public T8 getEighth()
    Deprecated.
    Returns the eighth element.
    Returns:
      the eighth element

  - ### getNinth

    @Deprecated public T9 getNinth()
    Deprecated.
    Returns the ninth element.
    Returns:
      the ninth element

  - ### getV1

    public T1 getV1()
    Returns the first element.
    Returns:
      the first element

  - ### getV2

    public T2 getV2()
    Returns the second element.
    Returns:
      the second element

  - ### getV3

    public T3 getV3()
    Returns the third element.
    Returns:
      the third element

  - ### getV4

    public T4 getV4()
    Returns the fourth element.
    Returns:
      the fourth element

  - ### getV5

    public T5 getV5()
    Returns the fifth element.
    Returns:
      the fifth element

  - ### getV6

    public T6 getV6()
    Returns the sixth element.
    Returns:
      the sixth element

  - ### getV7

    public T7 getV7()
    Returns the seventh element.
    Returns:
      the seventh element

  - ### getV8

    public T8 getV8()
    Returns the eighth element.
    Returns:
      the eighth element

  - ### getV9

    public T9 getV9()
    Returns the ninth element.
    Returns:
      the ninth element

  - ### clone

    public Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9> clone()
    Overrides:
      `clone` in class `Tuple`